#
# spec file for package python-pyaml
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyaml
Version:        17.12.1
Release:        3.1
Summary:        Python module to produce formatted YAML-serialized data
License:        WTFPL
Group:          Development/Languages/Python
URL:            https://github.com/mk-fg/pretty-yaml
Source:         https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module Unidecode}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Recommends:     python-Unidecode
BuildArch:      noarch
%python_subpackages

%description
PyYAML-based python module to produce formatted YAML-serialized data.

%prep
%setup -q -n pyaml-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license COPYING
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 10 2018 jengelh@inai.de
- Trim bias from description. Use noun phrasing.
* Fri Aug 31 2018 mpluskal@suse.com
- Update to version 17.12.1:
  * Internal changes
- Drop some useless dependencies and conditions
* Fri Nov 10 2017 arun@gmx.de
- update to version 17.10.0:
  * README: add link to ruamel.yaml module as a parser counterpart
- changes from version 17.8.0:
  * Represent numpy arrays as lists, as per #24
- changes from version 17.7.2:
  * allow line width to be passed in throguh cli
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
